import '../css/app.scss'

const App = require('./app/app')
const FormPnw = require('./app/form-pwn')
const Post = require('./app/post')
const LazyLoad = require('./app/lazy-load')
const PxImage = require('./app/px-image')
const Code = require('./app/code')
const Knmc = require('./app/knmc')
const VideoRatio = require('./app/video-ratio')
const Stats = require('./app/stats')
const Particles = require('./app/particles')
const MeshViewer = require('./app/mesh-viewer')
const SmallMenu = require('./app/small-menu')

const app = new App([
  new FormPnw(window),
  new Post(window),
  new LazyLoad(window),
  new PxImage(window),
  new Code(window),
  new Knmc(window),
  new VideoRatio(window),
  // new Stats(),
  new Particles(window),
  new MeshViewer(window),
  new SmallMenu(window)
])

window.addEventListener('load', function () {
  app.init()
}, false)
